"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var file_1 = require("../src/file");
var example_files_1 = require("./examples/example.files");
jest.mock('fs');
var fs = require('fs');
describe("File Class", function () {
    describe("Creation", function () {
        test("Basic", function () {
            var file = new file_1.default("./file", "content");
            expect(file).not.toBeNull();
        });
        test("File Loading", function () {
            fs.__setFileContent(example_files_1.basicFile);
            var file = new file_1.default("./file");
            expect(file.content).toBe(example_files_1.basicFile);
        });
        test("Passing Content", function () {
            fs.__setFileContent(example_files_1.basicFile);
            var file = new file_1.default("./file", example_files_1.basicFile);
            expect(file.content).toBe(example_files_1.basicFile);
        });
    });
    describe("Formatting ", function () {
        test("Basic", function () {
            var file = new file_1.default("./file", example_files_1.basicFile);
            var formatted = file.formattedLineVisual("line 4", true, true);
            expect(formatted.trim()).toBe(example_files_1.formatedExample.trim());
        });
    });
});
//# sourceMappingURL=file.test.js.map